package body MSHTML.IHTMLBookmarkCollection_Object is

   function Get_length
     (This : IHTMLBookmarkCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBookmarkCollection_Get_length);
   end Get_length;

   function Getu_newEnum
     (This : IHTMLBookmarkCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBookmarkCollection_Getu_newEnum);
   end Getu_newEnum;

   function item
     (This  : IHTMLBookmarkCollection_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLBookmarkCollection_item,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => index),
         Free);
   end item;

end MSHTML.IHTMLBookmarkCollection_Object;

